[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetSidePosition

Gets the client coordinate for the specified side.

## Declaration

Source position: controls.pp line 1674

`public function TControl.GetSidePosition(`
`Side: TAnchorKind`
`):Integer;`

## Arguments

`Side` |  | TAnchorSide value which coordinate value is returned.

## Function result

Value for the specified anchor side.

## Description

The return value contains the coordinate for the anchor side indicated in the Side argument. For example:

akLeft
  Returns the value in the Left property.
akTop
  Returns the value in the Top property.
akRight
  Returns the value in the Right property.
akBottom
  Returns the value in the Bottom property.